package com.loveCoding.j20250517_java_array;

import java.util.Scanner;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo06
 * @description 数组元素求和：键盘录入5个整数，存储到数组中，并对数组求和
 * @create 2025/5/17
 */
public class Demo06 {
    public static void main(String[] args) {
        int[] arr=new int[5];   //定义一个长度为5的数组，动态初始化，不先赋值元素
        Scanner sc=new Scanner(System.in);  //创建键盘输入对象Scanner
        int sum=0;//定义一个用来存元素和的变量
        for (int i = 0; i < arr.length; i++) {  //循环遍历。
            System.out.println("请输入第"+(i+1)+"个元素：");
            int v=sc.nextInt();//输入整数
            sum+=v;//把整数累加到sum中
        }
        System.out.println("数组的和为："+sum);
    }
}
